Subject: Re: [PATCH 1/2] powerpc/math-emu: remove the dead code in math.c

From: Michael Ellerman <[email-masked]>
Date: Wed, 10 Jul 2013 13:25:33 +1000

On Wed, Jul 10, 2013 at 10:23:07AM +0800, Kevin Hao wrote:
> On Wed, Jul 10, 2013 at 12:01:33PM +1000, Michael Ellerman wrote:
> > On Wed, Jul 10, 2013 at 09:43:42AM +0800, Kevin Hao wrote:
> > > The math.c is only built when CONFIG_MATH_EMULATION is enabled.
> > > So we would never get into the case that CONFIG_MATH_EMULATION
> > > is not defined in this file.
> > 
> > Any idea why we have that there? ie. have the config symbols changed
> > over time or was this always dead code?
> 
> No idea. I tried to trace this before submitting the patch. But it has
> been there since the begin of the git history. So I just assume that it is
> always dead code. :-)

Yeah looks like it. Even in the git-huge tree I see it in the initial
commit.

You should say that in the commit message though. Otherwise it's not
clear if you're fixing a recent breakage or not.

cheers